Bug 209926 - dhcp client missing on installed system
dhcp client missing on installed system
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-10-08 08:54 EDT by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-09 11:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-10-08 08:54:40 EDT
When deselecting all packages during package selection, so that a minimum base
system is installed, the dhcp client is not to being installed.

This happens even though the network interface eth0 was configured to obtain
it's ip address via dhcp.
The startup script fails thus during bootup, resulting in an unreachable machine.

It would be great, if dhcpcd is forced to be installed when dhcp is configured
for the interface.
Comment 1 Jeremy Katz 2006-10-09 11:15:39 EDT
The absolute minimum install is basically "what do I need to get to a login
prompt".  Nothing more.

Note You need to log in before you can comment on or make changes to this bug.